2007-09-18  Joel Schaubert    <joel4700@sbcglobal.net>

	* configure.in: prep for release 1.2.1

2007-09-17  Joel Schaubert    <joel4700@sbcglobal.net>

	* src/sd/list.c: correct a comment

	* ChangeLog: update changelog

	* tests/Makefile.am, tests/log4c/Makefile.am, tests/log4c/cpp_compile_test.cpp, src/log4c/Makefile.am, src/log4c/create_cpp_tester.sh, src/log4c/rc.c:
	simplify c++ syntax checker

	* src/log4c/category.h:
	guards for hpp compiler problem with inlines and varags

2007-09-12  Cedric Le Goater  <legoater@free.fr>

	* examples/README: fix line wrapping.

2007-09-11  Joel Schaubert    <joel4700@sbcglobal.net>

	* examples/README: new rollingfile appender

	* ChangeLog: update changelog

	* examples/log4crc.in: add rolling file appender for testing

	* examples/application_3.h: syntax fix for hpux

	* src/sd/list.c: make sd_list_delete delete iterators 

	* src/log4c/rollingpolicy_type_sizewin.c: fix a memory leak

	* src/log4c/rc.c:
	allow use of KB,MB,GB when specifying sizes in config file

2007-09-11  Joel Schaubert    <joel4700@sbcglobal.net>

	* examples/log4crc.in add rolling file appender for testing
	* src/log4c/rollingpolicy.h fix c++ compile error
	* src/log4c/appender_type_stream2.h fix c++ compile error
	* src/tests/log4c/Makefile.am build c++ syntax test program
	* src/tests/log4c/cpp_compile_test.cpp added 

	* Francisco Camenforte Torres fct.dev@gmail.com patches
	* src/log4c/rc.c allow use of KB,MB,GB when specifying sizes in config file
	* src/log4c/rollingpolicy_type_sizewin.c fix a memory leak
	* src/sd/list.c make sd_list_delete do a deep delete
	* examples/application_3.h syntax fix for hpux
	* src/log4c/category.h guards for hp compiler

2007-06-20  Cedric Le Goater  <legoater@free.fr>

	* log4c.spec.in: minor updates

2007-06-08  Cedric Le Goater  <legoater@free.fr>

	* README, doc/main.doc.in: minor updates

	* examples/example_formatters.c, examples/helloworld/Makefile.am, examples/helloworld1/Makefile.am, examples/userloc_formatter.c, examples/Makefile.am:
	don't install examples

	* examples/Makefile.am, examples/helloworld1/Makefile.am:
	included .h files in tarball

	* doc/Makefile.am: don't copy log4c.pdf when LATEX is not available

	* doc/Makefile.am: removed old log4cHowto.html file

	* ChangeLog, configure.in: Getting prepared for 1.2.0.
	
2006-12-15  bikeracer4700

	* configure.in, examples/README, examples/log4crc.in, 
	src/log4c/category.c, src/log4c/init.c, src/log4c/rc.c, 
	src/log4c/rc.h, src/sd/sd_xplatform.c, src/sd/sd_xplatform.h:
	log4crc reread patch

2006-12-05  bikeracer4700

	* examples/application_3.c, examples/application_3.h, 
	examples/userloc_formatter.c, ChangeLog, examples/Makefile.am, 
	examples/README, examples/example_formatters.c, examples/log4crc.in, 
	src/log4c/category.h, src/log4c/location_info.h:
	adding user defined location information patch

	
2006-12-05  Joel Schaubert <joel4700@sbcglobal.net>
	* src/log4c/location_info.h: Change location initialzing macro to accept
	additional parameter for user info.
	* src/log4c/category.h: Added new API for a logging message
	with user provided location_info
	* examples/: Added example usage of new extended location info


2006-11-12  Robert Byrne <robert.byrne@sun.com>

	* configure.in: add the without-expat option
	for those who know they do not want that dependency.
	* config/expat.m4: add some text to error messages in the case where
	we look for expat but fail to find it.  Recall that Log4C will still
	work using the bundled lex/yacc code for parsing the conf file.

2006-11-12 Robert Byrne <robert.byrne@sun.com>
	* Mostly stuff to tidy up the windows code:

	* tidy up in app*.c examples: to remove compile warnings on msvc6
	* tidy up msvc6/Makefile: to take account of some difference
	in msvc6 and msvc8 (former doesn't have manifest files for debug
	version).
	* bug fix in stream2 appender: not allocating the udata 
	correctly.  Showed up if you did open/close, open/close on
	the stream2 appender on windows.
	* introduce LOG4C_DATA (analagous to LOG4C_API): to be used
	for exporting data symbols.  Need this to export sd_optind
	from the sd library so that bench.c can use sd_getopt()
	correctly to process it's command line.  Bug was that
	bench.exe on windows was not getting it's command line.
	* replace several counter variables previously of type int
	with type size_t: to avoid compile warnings 
	* align the files bench.c, sd/test.c, test_rollingfile_appender_mt.c
	on the way they get timestamps on windows.
	* in bench.c, ditched the timed_loop macro--too hard to work with.

2005-12-16  Cedric Le Goater <legoater@free.fr>

	* configure.in: log4c-1.1.0

2005-12-16  Robert Byrne <robert.byrne@sun.com>

	* msvc6/gotest.sh:
	add some helper comments at the start of the hlper script

2005-12-15  Robert Byrne <robert.byrne@sun.com>

	* tests/log4c/bench.c: . include some sd_xplatform stuff...

	* src/log4c/logging_event.h: . only include sys/time.h on non
	windoows platforms.  Originally thought to use ifdef
	HAVE_SYS_TIME_H but that would require applications knowing that
	they needed to define that...whereas this way the right thing
	happens naturally.

	* src/sd/test.c: . #warning doesn't work with msvc6

	* tests/log4c/test_rc.c, tests/log4c/test_stream2.c: . patch some
	of the tests for msvc6: need explicit call to log4c_init() and use
	the getopt from sd.

	* msvc6/Makefile, src/log4c/init.c, src/log4c/layout_type_basic.c,
	src/log4c/layout_type_dated.c, src/log4c/priority.c,
	src/log4c/rc.c, src/sd/Makefile.am, src/sd/domnode-xml-scanner.c,
	src/sd/domnode-xml-scanner.h, src/sd/error.c, src/sd/error.h,
	src/sd/sprintf.c: . include the sd_xplatform.h file where needed
	(it redefines things liek sprintf, strcasecmp etc. for use with
	msvc6) . introduce an error.c to hold sd_debug functions used to
	replace analogous macros with msvc6 (variable number of args
	problem)

	* src/log4c/logging_event.h:
	back out this HAVE_SYS_TIME test for the moment....
	means would have to include config.h.....need to think about that

2005-12-15  Cedric Le Goater <legoater@free.fr>

	* examples/Makefile.am: fixed make dist issue

2005-12-15  Robert Byrne <robert.byrne@sun.com>

	* src/log4c/logging_event.h: only use systime if you have it patch

	* src/log4c/appender.c: only use syslog if you have it patch

	* src/log4c/config-win32.h: Need to include these files to avoid
	timeval undefined issues in logging_event.h

	* src/sd/malloc.c: sense of the ifdef HAVA_SBRK was wrong

2005-12-15  Cedric Le Goater <legoater@free.fr>

	* Makefile.am, configure.in, examples/Makefile.am,
	examples/README, examples/application_1.c,
	examples/application_2.c, examples/example_appenders.c,
	examples/example_formatters.c, examples/log4crc: example library
	contributed by joel schaubert <foxyjoel@gmail.com>

	* src/sd/factory.c, src/sd/factory.h, tests/log4c/test_category.c,
	src/log4c/category.c, src/log4c/category.h: added
	log4c_category_list()

2005-12-13  Cedric Le Goater <legoater@free.fr>

	* configure.in: added brk detection

	* src/log4c/appender.h, src/log4c/appender_type_stream2.h,
	src/log4c/category.h, src/log4c/init.h, src/log4c/layout.h,
	src/log4c/logging_event.h, src/log4c/priority.h, src/log4c/rc.h:
	added LOG4C_API macro and removed some inline for win32 support

	* src/log4c/defs.h, msvc6/Makefile, msvc6/gotest.sh,
	msvc6/log4c/version.h, src/log4c/Makefile.am,
	src/log4c/config-win32.h: added win32 support from Rob Byrne

	* src/log4c/init.c: added loading of layout and appender types
	when log4c is not compiled with gcc

	* src/sd/Makefile.am, src/sd/sd_xplatform.c:
	minor fix in portabiliy layer

	* src/log4c/appender_type_mmap.c, src/sd/malloc.c, tests/log4c/bench.c:
	fixed unistd.h

	* src/log4c/category.c, src/log4c/layout_type_dated.c,
	src/log4c/layout_type_dated_r.c, src/log4c/logging_event.c,
	src/sd/sd_xplatform.c, src/sd/sd_xplatform.h, src/sd/test.c: added
	portability layer to support win32 platform

	* src/sd/domnode-xml-scanner.c, src/sd/domnode-xml-scanner.l:
	removed useless inlineCedric Le Goater

	* src/sd/malloc.c:
	added HAVE_CONFIG_H and HAVE_SBRK #ifdefs to ease portability

	* src/sd/factory.c: removed useless unistd.h

	* src/log4c/appender_type_syslog.c:
	use HAVE_SYSLOG_H to protect generation

	* src/log4c/Makefile.am, src/log4c/layout_type_basic_r.c,
	src/log4c/layout_type_basic_r.h, src/log4c/layout_type_dated_r.c,
	src/log4c/layout_type_dated_r.h, tests/log4c/Makefile.am,
	tests/log4c/test_layout_r.c: added threadsafe layouts

	* src/log4c/category.c, src/log4c/logging_event.h: added a
	preallocated buffer to the logging event to be used by layouts in
	a multithreaded environment

	* src/log4c/Makefile.am, src/log4c/buffer.h:
	added a new buffer object to implement threadsafe logging

2005-12-11  Cedric Le Goater <legoater@free.fr>

        * doc/Doxyfile.in, src/log4c/rc.c, src/log4c/rc.h: export log4_rc
	object and add documentation (light) on log4c configuration

2005-12-06  Cedric Le Goater <legoater@free.fr>

        * src/log4c/rc.c, tests/log4c/test_rc.in:
        add additivity to configuration file

        * src/log4c/appender_type_stream.c: avoid closing stdio streams

        * src/log4c/init.c: fixed possible double free() in log4_fini() 

        * src/log4c/init.c, src/log4c/rc.c, src/log4c/rc.h,
	tests/log4c/test_rc.c: modified the rc API to enable some fixes in
	log4c cleanup. This breaks internal API.

2005-12-05  Cedric Le Goater <legoater@free.fr>

        * bootstrap, config/configure-solaris.patch:
        removed old hack to replace native solaris linker with gcc

2005-11-30  Cedric Le Goater <legoater@free.fr>

        * doc/Makefile.am, doc/log4cHowto.html, log4c.spec.in:
        added log4cHowto.html contribution in documentation

2005-11-08  Robert Byrne  <Robert.Byrne@Sun.COM>

        * tests/log4c/bench.c: . add bench for the stream2 appender.
	. add some command line options to suppress appenders that write
	to the screen

        * tests/log4c/bench_fwrite.c: fix compile warnings

        * tests/log4c/test_category.c: add a comment and print a note on
	the known double free of the file pointer (causes that scary "***
	glibc detected *** double free or corruption (!prev): 0x09cf16d8
	*** Aborted" message.

2005-11-07  Robert Byrne  <Robert.Byrne@Sun.COM>

        * src/log4c/appender_type_stream2.c:
        remove an extraneous initialializer from the stream2 type struct

        * src/log4c/Makefile.am, src/log4c/appender_type_stream2.c,
	src/log4c/appender_type_stream2.h, tests/log4c/Makefile.am,
	tests/log4c/bench_fwrite.c, tests/log4c/test_stream2.c: . stream2
	appender.  More configurable than the original stream appender.
	. remove some compile warnings in bench_fwrite.c

2005-11-04  Robert Byrne  <Robert.Byrne@Sun.COM>

        * configure.in, tests/log4c/Makefile.am, tests/log4c/bench_fwrite.c:
        . utility to compare fwrite() performance and fprintf() performance

2005-11-03  Robert Byrne  <Robert.Byrne@Sun.COM>

        * README:
        . update README with some info on where to find Solaris automake tools
        . include some examples of using ./configure options

2005-09-14  Cedric Le Goater  <legoater@meiosys.com>

        * src/sd/test.c, tests/log4c/appender_test.c, tests/log4c/bench.c,
	tests/log4c/layout_test.c, tests/log4c/test_category.c: fixes from
	Robert.Byrne@Sun.COM

2005-07-11  Cedric Le Goater  <legoater@meiosys.com>

        * src/sd/test.c: fixed libtool naming issue

2005-06-07  Cedric Le Goater  <legoater@meiosys.com>

        * doc/main.doc.in: fixed typo

2005-05-24  Cedric Le Goater  <legoater@meiosys.com>

        * bootstrap: removed redhat 7.x support

        * src/sd/error.h: BugId: 1062842
        BugId: 1070029

        Removed deprecated string concatenation with __FUNCTION__

        * src/sd/hash.c, src/sd/hash.h: removed dead code

        * configure.in: minor updates

        * src/log4c/category.c: Added alloca support for Solaris cc

        * src/sd/list.c: fixed unreached statement

        * README, src/sd/Makefile.am, src/sd/domnode-xml-parser.c,
	src/sd/domnode-xml-parser.y, src/sd/domnode-xml-scanner.c,
	src/sd/domnode-xml-scanner.h, src/sd/domnode-xml-scanner.l: BugId:
	1062842

        Added lex/yacc source code. It requires flex-2.5.27 and bison-1.35.

        * src/log4c/init.c: fixed log4c_init() robustness issues

2005-01-07  Cedric Le Goater  <legoater@meiosys.com>

        * log4c-config.in: Added support for suse-8

2004-11-17  Cedric Le Goater  <legoater@meiosys.com>

        * log4c.spec.in: added support for new rpm on sles 9

        * doc/Makefile.am: added missing DESTDIR

2004-11-02   Olger Warnier  <terranvs>

        * macosx/log4c.xcode/project.pbxproj, bootstrap: changed the
	bootstrap to work on Mac OS X with xcode 1.5 adapted the xcode
	project to work with the bootstrap

2004-10-27  Cedric Le Goater  <legoater@meiosys.com>

        * macosx/English.lproj/InfoPlist.strings,
	macosx/log4c.xcode/project.pbxproj, src/sd/malloc.c,
	macosx/Info.plist, macosx/version.plist:
        Added mac osx support

2004-08-18  Cedric Le Goater  <legoater@rmeiosys.com>

        * log4c.spec.in: enable documentation creation

2004-08-16  Cedric Le Goater  <legoater@meiosys.com>

	* doc/main.doc.in: updated supported plateform

	* configure.in: increase current revision, log4c-1.0.12

	* log4c.m4: added missing include

	* tests/log4c/test_category.c: fixed compulation problems with
	gcc-3.4 Patch by Olaf Freyer <aaron@cs.tu-berlin.de>
	(http://bugs.gentoo.org/show_bug.cgi?id=60061)

	* doc/Makefile.am: use $(DESTDIR) when installing

	* configure.in: fixed condition on documentation creation

2003-09-13  Cedric Le Goater  <legoater@meiosys.com>

	* src/log4c/appender.c, src/log4c/appender_type_mmap.c,
	src/log4c/appender_type_stream.c,
	src/log4c/appender_type_syslog.c, src/log4c/category.c,
	src/log4c/layout.c, src/log4c/layout_type_basic.c,
	src/log4c/layout_type_dated.c: BugId: 764485

	Removed labels within structs which is a GNU C extension.

	* src/sd/test.c: BugId: 769637

	Fixed getopt return value for AIX

2003-09-12  Cedric Le Goater  <legoater@meiosys.com>

	* src/sd/test.h, tests/log4c/appender_test.c,
	tests/log4c/layout_test.c, tests/log4c/test_category.c,
	tests/log4c/test_rc.c, src/log4c.h, src/log4c/appender.c,
	src/log4c/appender.h, src/log4c/appender_type_mmap.c,
	src/log4c/appender_type_mmap.h, src/log4c/appender_type_stream.c,
	src/log4c/appender_type_stream.h,
	src/log4c/appender_type_syslog.c,
	src/log4c/appender_type_syslog.h, src/log4c/category.c,
	src/log4c/category.h, src/log4c/defs.h, src/log4c/init.c,
	src/log4c/init.h, src/log4c/layout.c, src/log4c/layout.h,
	src/log4c/layout_type_basic.c, src/log4c/layout_type_basic.h,
	src/log4c/layout_type_dated.c, src/log4c/layout_type_dated.h,
	src/log4c/location_info.h, src/log4c/logging_event.c,
	src/log4c/logging_event.h, src/log4c/priority.c,
	src/log4c/priority.h, src/log4c/rc.c, src/log4c/rc.h,
	src/log4c/version.c, src/log4c/version.h.in, src/sd/defs.h,
	src/sd/domnode-xml.c, src/sd/domnode-xml.h, src/sd/domnode.c,
	src/sd/domnode.h, src/sd/error.h, src/sd/factory.c,
	src/sd/factory.h, src/sd/hash.c, src/sd/hash.h, src/sd/list.c,
	src/sd/list.h, src/sd/malloc.h, src/sd/sprintf.c,
	src/sd/sprintf.h, src/sd/stack.h, src/sd/test.c, ChangeLog,
	README, bootstrap: cleanup

2003-04-02  Cedric Le Goater  <legoater@meiosys.com>

	* src/sd/test.h, tests/log4c/test_category.ref, src/sd/test.c,
	src/sd/domnode.h, src/sd/stack.h, src/sd/domnode-xml.c,
	src/sd/domnode-xml.h, src/sd/domnode.c,
	src/sd/domnode-xml-scanner.h, src/sd/domnode-xml-parser.h,
	src/sd/domnode-xml-scanner.c, src/sd/domnode-xml-parser.c,
	src/sd/Makefile.am, src/log4c/category.c, src/log4c/Makefile.am,
	config/configure-solaris.patch, doc/main.doc.in, log4c.spec.in,
	configure.in, README, ChangeLog: removed expat parser

2003-04-02 Cedric Le goater <legoater@meiosys.com>

	* Changelog: log4c-1.0.11
	* configure.in, Makefile.am, ...: removed expat
	* category.c: replaced bsd rindex() by strrchr()
	* sd/ : new library with local XML parser.
	* copyright cleanups

2002-11-22 Cedric Le goater <legoater@meiosys.com>

	* Changelog: log4c-1.0.10
	* rc.h: remove useless include

2002-11-21 Cedric Le goater <legoater@meiosys.com>

	* Changelog: log4c-1.0.9
	* category.c (__log4c_category_vlog): did some optimizations
	* init.h: exported resource configuration API rc.h
	* sd: synchronized from sd dev tree

2002-08-20 Cedric Le goater <legoater@meiosys.com>

	* Changelog: log4c-1.0.8
	* configure.in: upgraded to 2.52
	* sd: synchronized from sd dev tree

2002-05-15 Cedric Le goater <legoater@cimai.com>

	* Changelog: log4c-1.0.7	
	* init.c, init.h: constructors and destructors routines are now
	exported
	* category.c (call_appenders): reversed change made in 1.0.4

2002-05-02 Cedric Le goater <legoater@cimai.com>

	* Changelog: log4c-1.0.6
	* rc.c: rewrote all configuration system with a DOM like interface
	* category.c: added dynamic/stack buffer allocation
	* appender.c: added type configuration
	* layout.c: added type configuration

2002-04-17 Gregory Kurz <gkurz@cimai.com>

	* Changelog: log4c-1.0.5
	* init.c (__log4c_fini): cleanup flag in the destructor
	* rc.c (start_element): configuration of the cleanup flag, attributes
	of the <log4c> element are parsed (bug fix)
	

2002-04-10 Cedric Le goater <legoater@cimai.com>

	* Changelog: log4c-1.0.4
	* appender_stream.c (stream_open): switched to unbuffered mode
	* category.c (call_appenders): check current category priority
	before appending events	

2002-02-06 Cedric Le goater <legoater@cimai.com>

	* Changelog: log4c-1.0.3
	* solaris 8 modifications

2002-01-10 Cedric Le goater <legoater@cimai.com>

	* Changelog: log4c-1.0.2
	* type names changes

2002-01-07 Cedric Le goater <legoater@cimai.com>

	* Changelog: log4c-1.0.1
	* osf4.0f modifications

2001-12-20 Cedric Le goater <legoater@cimai.com>

	* Changelog: log4c-1.0.0
	* initial revision

